 ; ************************************************************************
 ; *
 ; *         O R Z U N O I D    D A T A    D E F I N I T I O N S
 ; *
 ; *    This source file describes the data structures used by Orzunoid and
 ; * its universe files.  Any programs who want more information on how to
 ; * program their own universe files can send me a request in E-Mail to
 ; * luezma@netscape.net and I will send complete documentation on the
 ; * Orzunoid system and how to expand it.
 ; *

 ; ************** Game Variables ******************************************

stop              =TEXT_MEM         ; Saved data items
p                 =TEXT_MEM+1
x                 =TEXT_MEM+2
x2                =TEXT_MEM+6
x3                =TEXT_MEM+10
incr              =TEXT_MEM+14
level             =TEXT_MEM+15
lives             =TEXT_MEM+16
won               =TEXT_MEM+17
speed             =TEXT_MEM+18
score             =TEXT_MEM+19
miscword          =TEXT_MEM+21
bonust            =TEXT_MEM+23                                         
bonusx            =TEXT_MEM+24
bonusy            =TEXT_MEM+25
expand            =TEXT_MEM+26
timer             =TEXT_MEM+27
guard             =TEXT_MEM+29
catch             =TEXT_MEM+30
bthru             =TEXT_MEM+31
p_width           =TEXT_MEM+32
data              =TEXT_MEM+33

temp              =TEXT_MEM+161     ; Temporary data items
aball             =TEXT_MEM+163
contrst           =TEXT_MEM+164
olives            =TEXT_MEM+165
oscore            =TEXT_MEM+166

 ; ************** Universe File Data **************************************

u_signature_52682 =TEXT_MEM2        ; Universe must set this to 52682
u_call            =TEXT_MEM2+2      ; Call this to set up universe
u_name            =TEXT_MEM2+4      ; Universe name (same as string name!)
u_vers            =TEXT_MEM2+13     ; Universe version number (one byte)

 ; ************** Orzunoid Version Data ***********************************

_orz_data         =TEXT_MEM2+14
orz_major         =TEXT_MEM2+14     ; Orzunoid major version
orz_minor         =TEXT_MEM2+15     ; Orzunoid minor version

 ; ************** Universe Definition Data ********************************

__title_screen    =TEXT_MEM2+16     ; Displays the title screen
__start_game      =TEXT_MEM2+19
__play_level      =TEXT_MEM2+22     ; In-game main loop
__extract_level   =TEXT_MEM2+25     ; Load level A to $8100
__ballstuff       =TEXT_MEM2+28     ; Move the ball
__test_hit        =TEXT_MEM2+31     ; Handle hit of ball (HL), CF = hit
__draw_level      =TEXT_MEM2+34     ; Draw bricks in buffer, (won)=0 if won
num_levels        =TEXT_MEM2+37     ; One-byte # of levels
__bonus_blocks    =TEXT_MEM2+38
__bonus_get_image =TEXT_MEM2+41
__bonus_collect   =TEXT_MEM2+44
__paddle_move     =TEXT_MEM2+47
__init_display    =TEXT_MEM2+50     ; Initialize data display
__update_display  =TEXT_MEM2+53     ; Update data display
__display_screen  =TEXT_MEM2+56     ; Copy screen buffer to display
__exit_game       =TEXT_MEM2+59     ; Called on all exits (keep original!)
__prepare_level   =TEXT_MEM2+62
__level_win       =TEXT_MEM2+65
__game_win        =TEXT_MEM2+68
__resume_game     =TEXT_MEM2+71
